configure: Fix handling of _select dependencies